- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

Typedefs
Generic 3D Object Descriptions
Evas » Evas 3D Extensions

Evas 3D object is a generic type of all evas 3D objects like scene, node, camera, light, mesh, texture and material. More...

## Typedefs
typedef Eo | Evas_3D_Object
| 3D Object object handle More...

## Detailed Description

Evas 3D object is a generic type of all evas 3D objects like scene, node, camera, light, mesh, texture and material.

Evas 3D object is basically reference counted. Any successful function call on an object which make a reference to an another object will increase the reference count. When the reference count gets to 0, the object will be actually deleted.

Any modifications are automatically propagated to other objects referencing the modified objects. As a result, if the scene object is set to modified state, all image objects having the scene as a rendering source are marked as dirty, so that rendering will be updated at next frame. But all these things are done internally, so feel free to forget about calling some kind of update functions.

## Typedef Documentation

Evas_3D_Object

3D Object object handle

Since
  1.10